use std::error::Error;
use std::io::ErrorKind;

/// Encapsulate errors in [`std::io::Error`] with a message
pub fn encpasulate_error<E: Error>(e: E, msg: &str) -> std::io::Error {
    std::io::Error::new(ErrorKind::Other, format!("{}: {}", msg, e))
}
